Subject: ANNOUNCE: libc 4.3.2 is on tsx-11.
From: [email-masked]
Date: Fri, 5 Mar 1993 06:33:29 GMT
Newsgroups: comp.os.linux.announce

I am going to take a look at yp stuff.

H.J.
----------
This is the official release of the Linux C library 4.3.2. You have to
install the source code of 0.99 pl5 to use it since there are some
changes in kernel. You have to use 0.99 pl 5 kernel to call bsd
flock (). You also need gcc 2.3.3 or above to use it.

You can get this package from tsx-11.mit.edu under pub/linux/GCC. The
file names are inc-4.3.2.tar.z, libc-4.3.2.tar.z, inc-4.3-4.3.2.tar.z,
libc-4.3-4.3.2.tar.z, image-4.3.2.tar.z and extra-4.3.2.tar.z.

NOTE: All the stuff previously in /usr/etc/inet must be in /etc now.

There are also i486 binary versions in ./486.

This release is named as 4.3.2, but it is the exactly the same as
the beta release of 4.3.2. If you have got libc 4.3.2, you need not
to do anything. Maybe add this your ChangeLog:

------------
Thu Mar  4 14:52:04 1993  H.J. Lu  (hlu@nighthawk)

	* version 4.3.2 is released. rename version 4.3.2 to 4.3.2.
-----------

You need tools-2.2.tar.z in pub/linux/GCC/src to make the shared
libraries yourself.

This release is compressed with gzip 1.0.3.

Please read ChangeLog for details of the bug fixes.

The file list:

1. inc-4.3.2.tar.z

  The header files for 4.3.2.

  cd /usr
  zcat inc-4.3.2.tar.z | tar xvvof -

  The header files in inc-4.3.2.tar.z are not complete. You have to
  install the kernel source for the rest of the header files. Please
  get the version mentioned at the beginning of this release note.
  Suppose you install the kernel source at "/foo/bar/src", you should
  do as root

  mkdir -p /usr/include
  cd /usr/include
  ln -s /foo/bar/src/linux/include/asm . 
  ln -s /foo/bar/src/linux/include/linux . 

2. libc-4.3.2.tar.z

  Source code for 4.3.2.

  cd src
  zcat libc-4.3.2.tar.z | tar xvvof -

3. inc-4.3-4.3.2.tar.z

  Change of the header files from 4.3 to 4.3.2.

  cd /usr
  zcat incc-4.3-4.3.2.tar.z | tar xvvof -

4. libc-4.3-4.3.2.tar.z

  Change of the source code from 4.3 to 4.3.2.

  cd src
  zcat libc-4.3-4.3.2.tar.z | tar xvvof -

  If you upgrade directly from libc 4.3, since lots of files are
  changed. I suggest you do this

  cd src
  cd ./libc-linux
  mv jump jump.old # if there is a ./jump.
  rm -f */makefile */*/makefile */*/*/makefile */*/*/*/makefile
  cd ..
  zcat libc-4.3-4.3.2.tar.z | tar xvvof -

5. image-4.3.2.tar.z

  The static/stub libraries, shared image, crt0.o and ld. To install
  it, as root do

  cd /tmp
  rm -rf ./lib ./usr
  zcat image-4.3.2.tar.z | tar xvvof -
  cp -av ./lib ./usr /
  cd /lib
  ln -sf libc.so.4.3.2 libc.so.4

  If you have an early version of libc.so.4.3.2 installed, you may have
  to play with it, like
		  
  cd /lib
  cp libc.so.4.3.2 /tmp/libc.so.4.3.2.old
  ln -sf /tmp/libc.so.4.3.2.old libc.so.4
  mv libc.so.4.3.2 old.libc.so.4.3.2

  before you unpack image-4.3.2.tar.z.

6. extra-4.3.2.tar.z

  libg.a, libc_p.a, libgmon.a and gcrt0.o. To install
   
  cd /
  zcat extra-4.3.2.tar.z | tar xvvof -

  libg.a is very big. I usually do

  cd /usr/lib
  ln -s libc.a libg.a

  since I usually do not debug the C library this way.
    
7. ChangeLog

  Change log for the Linux C library.

Please fix the file permissions after you install it.

H.J.
[email-masked]
03/04/93